Name:          mongo-tools
Version:       100.10.0
Release:       1mamba
Summary:       MongoDB Tools
Group:         Applications/Databases
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/mongodb/mongo-tools
Source:        https://github.com/mongodb/mongo-tools.git/%{version}/mongo-tools-%{version}.tar.bz2
License:       Apache License 2.0
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
## AUTOBUILDREQ-END
BuildRequires: libgo-devel >= 11.1.0-1mamba

%description
The MongoDB Tools:
 - bsondump - display BSON files in a human-readable format
 - mongoimport - Convert data from JSON, TSV or CSV and insert them into a collection
 - mongoexport - Write an existing collection to CSV or JSON format
 - mongodump/mongorestore - Dump MongoDB backups to disk in .BSON format, or restore them to a live database
 - mongostat - Monitor live MongoDB servers, replica sets, or sharded clusters
 - mongofiles - Read, write, delete, or update files in [GridFS](http://docs.mongodb.org/manual/core/gridfs/)
 - mongooplog - Replay oplog entries between MongoDB servers
 - mongotop - Monitor read/write activity on a mongo server

%debug_package

%prep
%setup -q -c -a0
install -d build/src/github.com/mongodb/bin
mv mongo-tools-%{version} build/src/github.com/mongodb/mongo-tools

%build
cd build/src/github.com/mongodb/mongo-tools
export GOPATH=%{_builddir}/%{name}-%{version}/build

for tool in `ls -d mongo*` bsondump; do
  echo "Building ${tool}..."
  GOROOT=%{_libdir}/go go build -o bin/${tool} -tags "ssl sasl" ${tool}/main/${tool}.go
done

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
install -d -p %{buildroot}%{_bindir}
install -p -m 0755 build/src/github.com/mongodb/mongo-tools/bin/* %{buildroot}%{_bindir}

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_bindir}/bsondump
%{_bindir}/mongo*
%doc build/src/github.com/mongodb/mongo-tools/LICENSE.md

%changelog
* Thu Jul 25 2024 Automatic Build System <autodist@openmamba.org> 100.10.0-1mamba
- automatic version update by autodist

* Mon Jul 22 2024 Automatic Build System <autodist@openmamba.org> 100.9.5-1mamba
- automatic version update by autodist

* Thu Jan 04 2024 Automatic Build System <autodist@mambasoft.it> 100.9.4-1mamba
- automatic version update by autodist

* Sat Dec 09 2023 Automatic Build System <autodist@mambasoft.it> 100.9.3-1mamba
- automatic version update by autodist

* Mon Nov 13 2023 Automatic Build System <autodist@mambasoft.it> 100.9.1-1mamba
- automatic version update by autodist

* Sat Aug 12 2023 Automatic Build System <autodist@mambasoft.it> 100.7.5-1mamba
- automatic version update by autodist

* Mon Jul 31 2023 Automatic Build System <autodist@mambasoft.it> 100.7.4-1mamba
- automatic version update by autodist

* Thu Jul 06 2023 Automatic Build System <autodist@mambasoft.it> 100.7.3-1mamba
- automatic version update by autodist

* Thu Mar 02 2023 Automatic Build System <autodist@mambasoft.it> 100.7.0-1mamba
- automatic version update by autodist

* Fri Nov 04 2022 Automatic Build System <autodist@mambasoft.it> 100.6.1-1mamba
- automatic version update by autodist

* Sat Aug 20 2022 Automatic Build System <autodist@mambasoft.it> 100.6.0-1mamba
- automatic version update by autodist

* Thu Jul 21 2022 Automatic Build System <autodist@mambasoft.it> 100.5.4-1mamba
- automatic version update by autodist

* Wed Jun 15 2022 Automatic Build System <autodist@mambasoft.it> 100.5.3-1mamba
- automatic version update by autodist

* Wed Feb 02 2022 Automatic Build System <autodist@mambasoft.it> 100.5.2-1mamba
- automatic version update by autodist

* Mon Dec 27 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 100.5.1-1mamba
- update to 100.5.1

* Tue May 04 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 4.2.14-1mamba
- update to 4.2.14
- built with libgo 11.1.0

* Thu May 14 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 4.2.0-2mamba
- rebuilt by autoport with build requirements: libgo-devel>=10.1.0-1mamba

* Thu Aug 29 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 4.2.0-1mamba
- update to 4.2.0

* Mon Jun 25 2018 Silvan Calarco <silvan.calarco@mambasoft.it> 4.0.0-1mamba
- update to 4.0.0

* Thu Apr 19 2018 Silvan Calarco <silvan.calarco@mambasoft.it> 3.2.4-3mamba
- rebuilt by autoport with build requirements: libgo-devel>=7.3.0-1mamba

* Sat May 14 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 3.2.4-2mamba
- rebuilt by autoport with build requirements: libgo-devel>=6.1.0-2mamba

* Tue Apr 12 2016 Davide Madrisan <davide.madrisan@gmail.com> 3.2.4-1mamba
- package created using the webbuild interface
